<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMadicneListsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('madicne_lists', function (Blueprint $table) {
            $table->id();
            $table->text('name')->nullable();
            $table->integer('category_id')->nullable();
            $table->float('price')->nullable();
            $table->float('saleprice')->nullable();
            $table->integer('storebox')->nullable();
            $table->integer('quantity')->nullable();
            $table->text('genericname')->nullable();
            $table->text('company')->nullable();
            $table->text('effect')->nullable();
            $table->timestamp('expire_date')->nullable();
            $table->integer('creator')->nullable();
            $table->string('slug',35)->nullable();
            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('madicne_lists');
    }
}
